/api/workspaces/me/timesheet-settings (PUT)
PUT
/api/workspaces/me/timesheet-settings
const url = 'https://example.com/api/workspaces/me/timesheet-settings';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"timesheetValidationEnabled":true,"allowSelfValidation":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/workspaces/me/timesheet-settings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "timesheetValidationEnabled": true, "allowSelfValidation": true }'Authorizations
Section intitulée « Authorizations »Request Body required
Section intitulée « Request Body required » Media type application/json
object
timesheetValidationEnabled
boolean
allowSelfValidation
boolean
Example generated
{ "timesheetValidationEnabled": true, "allowSelfValidation": true}Responses
Section intitulée « Responses »OK